Skip to main content
PUT
Public Update Position
This endpoint updates a position. It accepts the PositionRequestUpdateSchema as the request body and returns PublicApiPositionBaseResponse on success.
This endpoint does not behave like a PATCH. A PUT request replaces the entire resource. If you omit fields in the body, they may be overwritten with default or null values.

Overview

  • Method: PUT
  • Path: /v0/position/{position_id}
  • OperationId: public_update_position_v0_position__position_id__put
  • Authentication: header x-api-key (APIKeyHeader in the OpenAPI)

Example Request

Authorizations

x-api-key
string
header
required

Path Parameters

position_id
string<uuid>
required

Body

application/json
name
string
required
organization_id
string<uuid>
required
hr_code
string | null
description
string | null
Maximum string length: 999
cbo
string | null
client_integration_code
string | null

Response

Successful Response

id
string<uuid>
required
organization_id
string<uuid>
required
name
string
required
is_active
boolean
required
hr_code
string | null
description
string | null
cbo
string | null
client_integration_code
string | null